### File

`src/app/Helpers/auth.interceptor.ts`

### Index

###### Methods
intercept

### Constructor

`constructor(token: TokenStorageService)`
Defined in src/app/Helpers/auth.interceptor.ts:12
Parameters :
Name | Type | Optional
token | `TokenStorageService` | No

### Methods

intercept
`intercept(req: HttpRequest, next: HttpHandler)`
Defined in src/app/Helpers/auth.interceptor.ts:14
Parameters :
Name | Type | Optional
req | `HttpRequest<any>` | No
next | `HttpHandler` | No
Returns : `Observable<HttpEvent<any>>`

    import { HTTP_INTERCEPTORS, HttpEvent } from '@angular/common/http';
    import { Injectable } from '@angular/core';
    import {
      HttpInterceptor,
      HttpHandler,
      HttpRequest,
    } from '@angular/common/http';
    import { TokenStorageService } from '../Services/token.service';
    import { Observable } from 'rxjs';
    const TOKEN_HEADER_KEY = 'Authorization';
    @Injectable()
    export class AuthInterceptor implements HttpInterceptor {
      constructor(private token: TokenStorageService) {}
      intercept(
        req: HttpRequest<any>,
        next: HttpHandler
      ): Observable<HttpEvent<any>> {
        let authReq = req;
        const token = this.token.getToken();
        if (token != null) {
          authReq = req.clone({
            headers: req.headers.set(TOKEN_HEADER_KEY, 'Bearer ' + token),
          });
        }
        return next.handle(authReq);
      }
    }
    export const authInterceptorProviders = [
      { provide: HTTP_INTERCEPTORS, useClass: AuthInterceptor, multi: true },
    ];

# results matching ""

# No results matching ""